import 'dart:io';

import 'package:args/command_runner.dart';
import 'package:gust_cli/core/process.dart';

class BuildCommand extends Command {
  @override
  String name = 'build';
  @override
  String description = 'Build release binary';

  BuildCommand();

  @override
  Future<void> run() async {
    final arguments = argResults?.arguments;
    final file = arguments != null && arguments.isNotEmpty ? arguments.first : null;

    final process = await Process.start('dart', ['compile', 'exe', file ?? 'bin/main.dart', '-o', 'bin/main']);
    createStdListeners(process);
  }
}