import 'dart:convert';
import 'dart:io';

import 'package:args/command_runner.dart';
import 'package:gust_cli/core/process.dart';

class CreateCommand extends Command {
  @override
  final String name = 'create';
  @override
  final String description = 'Create a new Gust project';

  CreateCommand();

  @override
  Future<void> run() async {
    final arguments = argResults?.arguments;
    final dir = arguments != null && arguments.isNotEmpty ? arguments.first : null;

    final process = await Process.start('git', [
      'clone',
      'https://github.com/Parkar99/gust-template.git',
      if (dir != null) dir,
    ]);

    createStdListeners(process);
  }
}
