import 'dart:io';

import 'package:args/command_runner.dart';
import 'package:gust_cli/core/process.dart';

class RunCommand extends Command {
  @override
  final String name = 'run';
  @override
  final String description = 'Run the gust development server';

  RunCommand();

  @override
  Future<void> run() async {
    final arguments = argResults?.arguments;
    final file = arguments != null && arguments.isNotEmpty ? arguments.first : null;

    final process = await Process.start('dart', ['--enable-vm-service', file ?? 'bin/main.dart', 'DEV']);
    createStdListeners(process);
  }
}
